## drat-trim 0.0~git20240428.effa1dc

=== Makefile ===
FLAGS = -DLONGTYPE

all: drat-trim lrat-check compress decompress gapless

drat-trim: drat-trim.c
	gcc drat-trim.c -std=c99 -O2 -o drat-trim

lrat-check: lrat-check.c
	gcc lrat-check.c -std=c99 $(FLAGS) -O2 -o lrat-check

compress: compress.c
	gcc compress.c -std=c99 $(FLAGS) -O2 -o compress

decompress: decompress.c
	gcc decompress.c -std=c99 $(FLAGS) -O2 -o decompress

gapless: gapless.c
	gcc gapless.c -std=c99 -O2 -o gapless

clean:
	rm drat-trim lrat-check compress decompress gapless

=== debian/changelog ===
drat-trim (0.0~git20240428.effa1dc-2) unstable; urgency=medium

  * d/control: mention that Marijn Heule is now at CMU
  * replace _GNU_SOURCE with _DEFAULT_SOURCE to avoid dependency on
    new glibc (especially C23 symbol definitions)
  * d/: run wrap-and-sort
  * d/control: add Multi-Arch and Suggests attributes for
    drat-trim-examples
  * Create d/upstream/metadata

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 14 Oct 2024 21:02:35 +0800

drat-trim (0.0~git20240428.effa1dc-1) unstable; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 0.0~git20240428.effa1dc (closes: #1084889)
  * d/tests: add a simple autopkgtest, enhance test harness script

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 10 Oct 2024 23:39:25 +0800

=== debian/control ===
Source: drat-trim
Section: science
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Shengqi Chen <harry-chen@outlook.com>
Build-Depends: bzip2, debhelper-compat (= 13), help2man
Homepage: https://www.cs.utexas.edu/~marijn/drat-trim/
Vcs-Git: https://salsa.debian.org/science-team/drat-trim.git
Vcs-Browser: https://salsa.debian.org/science-team/drat-trim
Rules-Requires-Root: no

Package: drat-trim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DART-trim satisfiability proof checker (binary utils)
 DRAT-trim is a satisfiability proof checking and trimming utility
 designed to validate proofs for all known satisfiability solving
 and preprocessing techniques. DRAT-trim can also emit trimmed
 formulas, optimized proofs, and TraceCheck+ dependency graphs.
 .
 This package contains binaries needed to use DART-trim as a
 stand-alone tool.

Package: drat-trim-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: drat-trim
Suggests: bzip2
Description: DART-trim satisfiability proof checker (example files)
 DRAT-trim is a satisfiability proof checking and trimming utility
 designed to validate proofs for all known satisfiability solving
 and preprocessing techniques. DRAT-trim can also emit trimmed
 formulas, optimized proofs, and TraceCheck+ dependency graphs.
 .
 This package contains some example data files for DART-trim.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_DEFAULT_SOURCE
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	# only build binaries we want to install
	make drat-trim lrat-check

override_dh_auto_test:
ifeq (,$(filter, nocheck,$(DEB_BUILD_OPTIONS)))
	./debian/tests/run-examples ./drat-trim examples
endif

execute_after_dh_auto_build:
	help2man --version-string=$(DEB_VERSION_UPSTREAM) --name="DRAT-trim Satisfiability Proof Checker" -N -o drat-trim.1 ./drat-trim

=== debian/tests/control ===
Test-Command: debian/tests/run-examples drat-trim /usr/share/doc/drat-trim/examples
Features: test-name=run-examples
Restrictions: allow-stderr
Depends: bzip2, @

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/marijnheule/drat-trim \
HEAD debian uupdate
